<?php

use Phinx\Migration\AbstractMigration;

class InsertClient extends AbstractMigration
{
    public function up()
    {
        $client_bon_plan = array(
            array('client_bon_plan_id' => '0','client_bon_plan_nom' => 'Refusé'),
            array('client_bon_plan_id' => '1','client_bon_plan_nom' => 'Accepté')
        );

        $this
            ->table('client_bon_plan')
            ->insert($client_bon_plan)
            ->save();

        $client_club = array(
            array('client_club_id' => '0','client_club_nom' => 'Non Membre'),
            array('client_club_id' => '1','client_club_nom' => 'Membre du club')
        );

        $this
            ->table('client_club')
            ->insert($client_club)
            ->save();

        $client_newsletter = array(
            array('client_newsletter_id' => '0','client_newsletter_nom' => 'Refusé'),
            array('client_newsletter_id' => '1','client_newsletter_nom' => 'Accepté')
        );

        $this
            ->table('client_newsletter')
            ->insert($client_newsletter)
            ->save();

        $client_statut = array(
            array('client_statut_id' => '1','client_statut_nom' => 'Actif'),
            array('client_statut_id' => '2','client_statut_nom' => 'Non Actif')
        );

        $this
            ->table('client_statut')
            ->insert($client_statut)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('client_bon_plan')
            ->truncate();
        $this
            ->table('client_club')
            ->truncate();
        $this
            ->table('client_newsletter')
            ->truncate();
        $this
            ->table('client_statut')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
