<?php

namespace Alias;

class AliasLoader {

    /**
     * @var array
     */
    protected $aliases;

    public function __construct()
    {
        $this->aliases = array();
    }

    public function addAlias($alias)
    {
        $this->aliases[] = $alias;
        return $this;
    }

    public function setAlias($aliases)
    {
        $this->aliases = array_merge($this->aliases, $aliases);
        return $this;
    }

    public function load()
    {
        if (!empty($this->aliases)) {
            foreach ($this->aliases as $alias => $className) {
                class_alias($className, $alias);
            }
        }
    }
}