<?php

namespace Controller;

use Ads;
use Cache\BoutiqueCache;
use Boutique;
use Categorie;
use Shopbydedi\Listing;
use Tree\Node;
use Tree\Tree;
use Gamme;
//use Listing;

/**
 * Class MenuController
 *
 * @package Controller
 */
class MenuController extends Controller
{

    /**
     * @return mixed
     */
    public function display()
    {
        $phpCache = new BoutiqueCache;
        $ads = new Ads();
        $gamme = new Gamme();

        $boutique = Boutique::getInstance();
        $lgId = $boutique->getLangue()->id;

        $arrMenu = $phpCache->get('arrMenu_'. $lgId . '_' . $boutique->id);
        if ($arrMenu === false) {
            $categorie = new Categorie;
            $categories = $categorie->get();
            $treeMenu = new Tree();
            $listing = new Listing();
            foreach ($categories as $cat) {
                if (empty($cat['parent_id'])) {
                    $listing->reset()->setRequest($this->request)->addCategorie(new Categorie($cat['categorie_id']));

                    $nodeParent = new Node($cat);
                    $treeMenu->addNode($nodeParent);
                } else {
                    $parent = $treeMenu->findNode(array('categorie_id' => $cat['parent_id']));
                    if ($parent instanceof Node) {
                        $parent->addChildren(new Node($cat));
                    }
                }
            }
            $arrMenu = $treeMenu->getTree('array');
            // sort subcats by configured column
            foreach ($arrMenu as $k => $menu) {
                if (!empty($menu["children"])) {
                    $arrMenu[$k]["column"] = array();
                    foreach ($menu["children"] as $c) {
                        if (empty($arrMenu[$k]["column"][$c["categorie_boutique_header_column"]])) {
                            $arrMenu[$k]["column"][$c["categorie_boutique_header_column"]]= array();
                        }
                        $arrMenu[$k]["column"][$c["categorie_boutique_header_column"]][] = $c;
                    }
                    ksort($arrMenu[$k]["column"]);
                }
            }

            $phpCache->create('arrMenu_'. $lgId . '_' . $boutique->id, $arrMenu);
        }
        $this->template->assign('arrMenu', $arrMenu);

        $arrMenuGamme = $phpCache->get('arrMenuGamme_'. $lgId . '_' . $boutique->id);
        if ($arrMenuGamme === false) {
            $arrMenuGamme = $gamme->get(array('gamme_menu' => true));
            $phpCache->create('arrMenuGamme_'. $lgId . '_' . $boutique->id, $arrMenuGamme);
        }
        $this->template->assign('arrMenuGamme', $arrMenuGamme);

        return $this->response(
            ($this->request->get('mobile') ?
                $this->template->fetch('parts/menu_mobile.tpl') :
                $this->template->fetch('parts/menu.tpl')
            )
        );
    }
}
