<?php

namespace Controller;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * Class PublicFileController
 * @package Controller
 */
class PublicFileController extends Controller
{
    /**
     * @Route(
     *      path         = "/media/{path}",
     *      name         = "expose_file",
     *      defaults     = { "path" = null },
     *      requirements = { "path" = "((?!cache\/).)+" })
     */
    public function exposeFile()
    {
        $request = $this->request;
        $path = $request->get("path");
        $path = trim($path, "\\. \t\n\r\0\x0B");
        $filepath = MEDIA_DIR . $path;

        if (is_file($filepath)) {
            $response = new Response();

            // Set headers
            $response->headers->set('Cache-Control', 'private');
            $response->headers->set('Content-type', mime_content_type($filepath));
            $response->headers->set('Content-Disposition', 'attachment; filepath="' . basename($filepath) . '";');
            $response->headers->set('Content-length', filesize($filepath));

            // Send headers before outputting anything
            $response->sendHeaders();

            $response->setContent(readfile($filepath));

            return $response;
        }


        return $this->response("", 404);
    }
}
