<?php

namespace Form;

use Form\Constraint\Mail;
use Form\Constraint\NotBlank;

class CatalogForm extends Form
{
    function __construct()
    {
        parent::__construct();

        $this
            ->add(
                new Field(
                    "civilite_id",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez cocher une Civilit&eacute;.")
                )
            )
            ->add(
                new Field(
                    "client_nom",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ Nom.")
                )
            )
            ->add(
                new Field(
                    "client_prenom",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ Prénom.")
                )
            )
            ->add(
                new Field(
                    "adresse_rue",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ Adresse.")
                )
            )
            ->add(
                new Field(
                    "adresse_cp",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ Code postal.")
                )
            )
            ->add(
                new Field(
                    "adresse_ville",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ Ville.")
                )
            )
            ->add(
                new Field(
                    "adresse_pays",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez sélectionner une valeur dans le champ Pays.")
                )
            )
            ->add(
                new Field(
                    "client_email",
                    array(
                        "not_empty" => new NotBlank(),
                        "is_email" => new Mail(),
                    ),
                    array(
                        "not_empty" => "Vous devez remplir le champ email.",
                        "is_email" => "Vous devez utiliser un email valable.",
                    )
                )
            )
        ;
    }

}