<?php

namespace Form;

use Form\Constraint\Mail;
use Form\Constraint\NotBlank;
use Form\Constraint\Callback;

/**
 * Class NewsletterForm
 *
 * @package Form
 */
class NewsletterForm extends Form
{
    /**
     * constructor
     */
    function __construct()
    {
        parent::__construct();

        $this
            ->add(
                new Field(
                    "email",
                    array(
                        "not_empty" => new NotBlank(),
                        "is_mail" => new Mail(),
                        "is_sub" => new Callback(array("Newsletter", "isSubscribe")),
                    ),
                    array(
                        "not_empty" => "Vous devez remplir votre email.",
                        "is_mail" => "Vous devez utiliser un email correct.",
                        "is_sub" => "Vous êtes déjà inscris à la newsletter.",
                    )
                )
            );
    }
}