<?php

use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class Redirection
 */
class Redirection extends Model
{
    protected $table = 'redirection';

    /**
     * @param Request $request
     * @return bool|RedirectResponse
     */
    public static function handle(Request $request)
    {
        $redirection = new Redirection();

        $haveRedirection = $redirection->match($request->getRequestUri());

        if (!empty($haveRedirection)) {
            return new RedirectResponse($haveRedirection, 301);
        }

        return false;
    }

    public function match($url)
    {
        $result = $this->getOne([
            'redirection_url_origine' => $url,
        ]);

        if (!empty($result)) {
            return $result['redirection_url_destination'];
        }

        return false;
    }

    public function insertFromCSV($file)
    {
        $csv = new Csv($file);

        $csv->loadData();
        while ($data = $csv->getNextLine()) {
            $redir = array();

            $origin = parse_url($data[0]);
            $dest = parse_url($data[1]);

            $url_origin = $origin['path'];
            if (!empty($origin['query'])) {
                $url_origin.= '?' . $origin['query'];
            }
            $redir['redirection_url_origine'] = $url_origin;
            $redir['redirection_url_destination'] = $dest['path'];
            $this->save($redir);
        }
    }
}
