<?php

namespace Tree;

class Tree
{

    /**
     * @var \Tree\Node[]
     */
    protected $tree;

    /**
     * Constructeur
     */
    public function __construct()
    {
        $this->tree = array();
    }

    /**
     * @param Node $node
     */
    public function addNode(Node $node)
    {
        $this->tree[] = $node;
    }

    /**
     * @param null $node
     * @return array
     */
    public function getTree($format = 'object', $node = null)
    {
        if ($format == 'object') {
            return $this->tree;
        }

        if ($format == 'array') {
            $tree = array();

            if (is_null($node)) {
                $node = $this->tree;
            }

            if (is_array($node)) {
                foreach ($node as $n) {
                    $theNode = $n->toArray();
                    $theNode['children'] = $this->getTree($format, $n->getChildren());
                    $tree[] = $theNode;
                }
            }

            return $tree;
        }
    }

    /**
     * @param array $opts
     * @param null|Node $node
     *
     * @return bool|Node
     */
    public function findNode($opts, $node = null)
    {
        if(is_null($node)) {
            $node = $this->tree;
        }

        if (is_array($node)) {
            foreach ($node as $n) {

                $result = $this->findNode($opts, $n);
                if($result instanceof Node) {
                    return $result;
                }
            }
        } else {
            $isValid = true;
            foreach($opts as $k => $v) {
                if (!isset($node->$k) || $node->$k != $v) {
                    $isValid = false;
                }
            }

            if ($isValid) {
                return $node;
            }

            if ($node->haveChildren()) {
                $result = $this->findNode($opts, $node->getChildren());
                if($result instanceof Node) {
                    return $result;
                }
            }
        }

        return false;
    }
}