<?php

use ProduitList\ProduitList;

class Wishlist extends ProduitList
{
    protected $typeId = 1;

    /**
     * @param null $id client_id
     */
    public function __construct($id = null)
    {
        parent::__construct();

        if (is_null($id) == false) {
            $result = $this->getOne(array(
                    'pl.produit_list_type_id' => $this->produit_list_type_id,
                    'pl.client_id' => $id
                )
            );

            if (!empty($result)) {
                $this->load($result['produit_list_id']);
            }
        }
    }

    public function save($data = null)
    {
        if (empty($this->client_id)) {
            throw new DediException('No client id');
        }

        // get entry in produit_list if exist
        $result = $this->getOne(array(
                'pl.produit_list_type_id' => $this->produit_list_type_id,
                'pl.client_id' => $this->client_id
            )
        );

        if (!empty($result)) {
            $this->produit_list_id = $result['produit_list_id'];
        }

        parent::save($data);
    }

    public function addProduit(\Produit $produit, \Attribut $attribut = null, $qte = 1)
    {
        // TODO : check doublon pour la wishlist, on ajoute le produit qu'une fois

        parent::addProduit($produit, $attribut, $qte);
    }

}