{extends file='layout/layout.tpl'}
{block name='content'}
    <div class="account">
        <div class="container">
            {Breadcrumb::getInstance()->render()}
            {include file="account/top-account.tpl"}

            <div class="account-menu">
                {include file="account/aside.tpl" page="modif_compte"}
            </div>

            <div class="account-panel modify">
                <h1 class="bottom-grey-border">{txt value="modifier mes informations"}</h1>

                {if !empty($error)}{include file="form/flash.tpl" class="error" messages=$error}{/if}
                {if !empty($success)}{include file="form/flash.tpl" class="success" messages=$success}{/if}

                <form class="form-horizontal" action="" method="post">
                    <div class="form-group">
                        <label class="civilite-label">{txt value="Civilité"}* :</label>
                        {foreach from=$civilite item=c}
                            <div class="radio-inline">
                                <label class="checkLabel" for="civilite_id{$c.civilite_id}" class="lib">
                                    <input type="radio" value="{$c.civilite_id}" name="civilite_id" id="civilite_id{$c.civilite_id}" {if !empty($client.civilite_id) && $client.civilite_id == $c.civilite_id}checked="checked"{/if}/>
                                {$c.civilite_nom_nom}</label>
                            </div>
                        {/foreach}
                    </div>

                    <div class="form-group">
                        <label for="fnom">{txt value="Nom"}* :</label>
                        <input class="form-control" placeholder="{txt value="Nom"}* :" type="text" name="client_nom" value="{if !empty($client.client_nom)}{$client.client_nom}{/if}" id="fnom" />
                    </div>

                    <div class="form-group">
                        <label for="fprenom">{txt value="Prénom"}* :</label>
                        <input class="form-control" placeholder="{txt value="Prénom"}* :" type="text" name="client_prenom" value="{if !empty($client.client_prenom)}{$client.client_prenom}{/if}" id="fprenom" />
                    </div>

                    <div class="form-group">
                        <label for="fsociete">{txt value="Société"}* :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Société"} :" name="client_societe" value="{if !empty($client.client_societe)}{$client.client_societe}{/if}" id="fsociete"/>
                    </div>

                    <div class="form-group">
                        <label for="femail">{txt value="Adresse email"}* :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Adresse email"}* :" name="client_email" value="{$client.client_email}" id="femail" />
                    </div>

                    <div class="form-group">
                        <label for="fadresse">{txt value="Adresse"}* :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Adresse"}* :" name="adresse_rue" value="{if !empty($client.adresse_rue)}{$client.adresse_rue}{/if}" id="fadresse" />
                    </div>

                    <div class="form-group">
                        <label for="interphone">{txt value="Digicode ou interphone"} :</label>
                        <input type="text" class="form-control" name="adresse_digicode" value="{if !empty($client.adresse_digicode)}{$client.adresse_digicode}{/if}" id="interphone" />
                    </div>

                    <div class="form-group">
                        <label for="batiment">{txt value="N° Bâtiment"} :</label>
                        <input type="text" class="form-control" name="adresse_batiment" value="{if !empty($client.adresse_batiment)}{$client.adresse_batiment}{/if}" id="batiment" />
                    </div>

                    <div class="form-group">
                        <label for="etage">{txt value="N° Etage"} :</label>
                        <input type="text" class="form-control" name="adresse_etage" value="{if !empty($client.adresse_etage)}{$client.adresse_etage}{/if}" id="etage" />
                    </div>

                    <div class="form-group">
                        <label for="quartier">{txt value="Quartier"} :</label>
                        <input type="text" class="form-control" name="adresse_quartier" value="{if !empty($client.adresse_quartier)}{$client.adresse_quartier}{/if}" id="quartier" />
                    </div>

                    <div class="form-group">
                        <label for="fcode_postal">{txt value="Code postal"}* :</label>
                        <input class="form-control" type="number" placeholder="{txt value="Code postal"}* :" name="adresse_cp" value="{if !empty($client.adresse_cp)}{$client.adresse_cp}{/if}" id="fcode_postal" />
                    </div>

                    <div class="form-group">
                        <label for="fville">{txt value="Ville"}* :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Ville"}* :" name="adresse_ville" value="{if !empty($client.adresse_ville)}{$client.adresse_ville}{/if}" id="fville"/>
                    </div>

                    <div class="form-group">
                        <label for="fpays">{txt value="Pays"}* :</label>
                        <select name="pays_id" id="fpays" class="select_mef1 form-control">
                            {foreach from=$pays item=p}
                                {html_options values=$p.pays_id selected=$post.pays_id|default:"" output=$p.pays_nom_nom selected=$client.pays_id}
                            {/foreach}
                        </select>
                    </div>

                    <div class="form-group">
                        <label>{txt value="Date de naissance"}* :</label>
                        <span class="date">
                            {if !empty($client.client_ddn_Day)}
                                {html_select_date class="date-select day form-control" display_months=false display_years=false prefix=client_ddn_ time=$client.client_ddn}
                                {html_select_date class="date-select month form-control" month_format='%B' display_days=false display_years=false prefix=client_ddn_ time=$client.client_ddn}
                                html_select_date class="date-select year form-control" display_days=false display_months=false start_year=-100 prefix=client_ddn_ time=$client.client_ddn}
                            {*    <input class="form-control date-year" placeholder="année" type="number" name="client_year" value="{if !empty($client.client_year)}{$client.client_year}{/if}" id="client_year"/>  *}

                            {else}
                                {html_select_date class="date-select day form-control" display_months=false display_years=false prefix=client_ddn_}
                                {html_select_date class="date-select month form-control" month_format='%B' display_days=false display_years=false prefix=client_ddn_}
                                {html_select_date class="date-select year form-control" display_days=false display_months=false start_year=-100 prefix=client_ddn_}
                            {*    <input class="form-control date-year" placeholder="année" type="number" name="client_year" value="{if !empty($client.client_year)}{$client.client_year}{/if}" id="client_year"/> *}
                            {/if}
                        </span>
                    </div>

                    <div class="form-group">
                        <label for="ftelmobile">{txt value="Numéro de téléphone mobile"}* :</label>
                        <input class="form-control" type="text" name="adresse_telephone" placeholder="{txt value="Numéro de téléphone mobile"}* :" value="{if !empty($client.adresse_telephone)}{$client.adresse_telephone}{/if}" id="ftelmobile"/>
                    </div>

                    <div class="form-group">
                        <label for="ftelfixe">{txt value="Numéro de téléphone fixe"} :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Numéro de téléphone fixe"} :" name="client_telephone" value="{if !empty($client.client_telephone)}{$client.client_telephone}{/if}" id="ftelfixe"/>
                    </div>

                    <div class="form-group">
                        <label for="ffax">{txt value="Numéro de fax"} :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Numéro de fax"} :" name="client_fax" value="{$client.client_fax}" id="ffax"/>
                    </div>

                    <div class="form-group">
                        <label for="femailparrain">{txt value="Adresse email de votre parrain"} :</label>
                        <input class="form-control" type="text" name="client_referer" placeholder="{txt value="Adresse email de votre parrain"} :" value="{if !empty($client.client_referer)}{$client.client_referer}{/if}" id="femailparrain"/>
                    </div>

                    <div class="form-group submit-button">
                        <p>
                            {txt value="* : champs obligatoires"}
                        </p>
                        <input type="submit" value="{txt value="Valider"}" class="btn btn-red"/>
                    </div>
                </form>
            </div>
        </div>
    </div>
{/block}
